package arabiannight.tistory.com.multiautocompletetextview;

import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.widget.ArrayAdapter;
import android.widget.MultiAutoCompleteTextView;

public class MainActivity extends Activity {

	private static String[] ITEMS = {"APPLE", "BANANA", "WATERMELON", "ORENGE"};
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		ArrayAdapter<String> adapter = new ArrayAdapter<String>(this, 
				android.R.layout.simple_dropdown_item_1line, ITEMS);
		
		MultiAutoCompleteTextView mTv = (MultiAutoCompleteTextView) findViewById(R.id.multi_tv);
		mTv.setAdapter(adapter);
		mTv.setTokenizer(new MultiAutoCompleteTextView.CommaTokenizer());
		
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		getMenuInflater().inflate(R.menu.activity_main, menu);
		return true;
	}

}
